Клуб API Карт

API Яндекс.Карт версия 2.0.27

tekunova
29 марта 2013, 15:57
API Яндекс.Карт версия 2.0.27

Опубликована новая версия API Яндекс.Карт. Она доступна по адресу api-maps.yandex.ru/2.0.27. Во вторник, 2 апреля, мы переключим на нее api-maps.yandex.ru/2.0. Если вы хотите продолжить использование предыдущей версии, указывайте api-maps.yandex.ru/2.0.26.

Пожалуйста, прочтите статью о системе версионирования API.

Добавлено:

— На тач-устройствах увеличена кликабельная область тонких линий (маршрутов, линейки).

— В коллекцию map.geoObjects больше не попадают служебные объекты (точки линейки, редактора графики и т.п.).

— Возможность скрывать элементы управления с помощью опции visible.

— Событие beforedragstart, посредством которого можно отменять перетаскивание геообъекта.

— Дополнительные события в редактор графики: vertexadd, vertexdraw, edgedragstart, edgedrag, edgedragend, vertexdragstart, vertexdrag, vertexdragend. А также их before-варианты.

— В редакторе графики открыт метод getView, предоставляющий доступ к отображению редактора (меткам вершин).

Изменено:

— Метод getClientBoundingRect и событие clientboundingrectchange переименованы в getClientBounds и clientboundschange соответственно. Старые имена оставлены алиасами для обратной совместимости.

Исправлено:

— Некорректная работа map.action.Manager при попытке запустить новое движение из обработчика события end.

— Не работала кнопка закрытия балуна в iOS.

— Некорректный курсор при перетаскивании карты в IE.

— Некорректное поведение map.action.Single при незаданном globalPixelCenter.

— В некоторых браузерах на платформе Android некорректно бросались события multitouchstart, multitouchend.

— При изменении опции gridSize пропадали кластеры.

 

Команда разработчиков API Яндекс.Карт.

0 комментариев
Подписаться на комментарии к посту